@import url('https://fonts.googleapis.com/css2?family=Arimo:wght@700&family=Libre+Franklin:wght@100&display=swap');

:root {
  --left-bg-color: #28282899;
  --right-bg-color: #28282899;
  --left-btn-hover-color:#282828;
  --right-btn-hover-color:#282828;
  --hover-width:75%;
  --other-width:25%;
  --speed: 1000ms;
}

* {
  box-sizing: border-box;
}

body {
  font-family: 'Arimo', sans-serif;
  height: 100vh;
  overflow: hidden;
  margin: 0;
}

h1{
  font-size: 4rem;
  color: #fff;
  position: absolute;
  left: 50%;
  top: 20%;
  transform: translateX(-50%);
  white-space: nowrap;
}

.btn {
  position: absolute;
  border-radius: 50px;
  display: flex;
  align-items: center;
  justify-content: center;
  left: 50%;
  top: 60%;
  transform: translateX(-50%);
  text-decoration: none;
  color: #fff;
  border: #fff solid 0.2rem;
  font-size: 1.3rem;
  font-weight: bold;
  text-transform: uppercase;
  width: 15rem;
  padding: 1.5rem;
}

.split.left .btn:hover {
  background-color: var(--left-btn-hover-color);
  border-color: var(--left-btn-hover-color);
}

.split.right .btn:hover {
  background-color: var(--right-btn-hover-color);
  border-color: var(--right-btn-hover-color);
}

.container {
  position: relative;
  width: 100%;
  height: 100%;
  background-color: #333;
}

.split {
  position: absolute;
  width: 50%;
  height: 100%;
  overflow: hidden;
}

.split.left {
  left: 0;
  background: url('starwars.jpg');
  background-repeat: no-repeat;
  background-size: cover;
}

.split.left::before{
  content: '';
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: var(--left-bg-color);
}

.split.right {
  right: 0;
  background: url('startrek.jpg');
  background-repeat: no-repeat;
  background-size: cover;
}

.split.right::before{
  content: '';
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: var(--right-bg-color);
}

.split.right, 
.split.left, 
.split.right::before, 
.split.left::before {
  transition: all var(--speed) ease-in-out;
} 

.hover-left .left {
  width: var(--hover-width);
}

.hover-left .right {
  width: var(--other-width);
}

.hover-right .right {
  width: var(--hover-width);
}

.hover-right .left {
  width: var(--other-width);
}

@media (max-width: 800px) {
  h1 {
    font-size: 2rem;
    top: 30%;
  }

  .btn {
    padding: 1.2rem;
    width: 12rem;
  }
}

footer {
  position: absolute;
  font-family: 'Libre Franklin', sans-serif;
  font-size: 10px;
  bottom: 0px;
  width: 100%;
  height: 15px;
}
  